Extensión:WikiHiero

From mediawiki.org
This page is a translated version of the page Extension:WikiHiero and the translation is 87% complete.
Outdated translations are marked like this.
Extensión matemática MediaWiki
OOjs UI icon advanced-invert.svg
WikiHiero
Estado de lanzamiento estable
Wikihiero.png
Implementación Etiqueta
Descripción Habilita el uso de jeroglíficos con una sintaxis adicional
Autor(es) Guillaume Blanchard, Max Semenik and others
Última versión actualizaciones continuas
Política de compatibilidad Snapshots releases along with MediaWiki. Master is not backward compatible.
MediaWiki >= 1.35.0
Cambios de la base de datos No
Licencia GNU Licencia Pública general 2.0 o posterior
Descarga
README
Ejemplo
A2B4C6D8
‎<hiero>
Traduce el WikiHiero extensión si es disponible en translatewiki.net
Asuntos Tareas abiertas · Reportar un bug

La extensión WikiHiero permite añadir jeroglíficos del egipcio antiguo escribiendo texto, según la sintaxis "Hieroglyph coding manual"

Uso

Véase el "Hieroglyph coding manual" para más detalles. [need link]

En resumen:

- - separador
: - subdivisión
* - yuxtaposición
! - fin de línea
\ - reverse an asymmetric character
V - rotate character [only a few are supported, e.g. Y1, Y1V]

Cada jeroglífico recibe un código único:

  • Una letra [A-z + Aa] que representa la categoría del jeroglífico (humano, dios, pájaro, etc.)
  • Un número que representa el rango en esta categoría [1-...]

Este código único es una extensión de lista de jeroglíficos de Gardiner.

El Hieroglyph coding manual permite usar los fonemas más comunes, al igual que el código único.

Para detalles, véase WikiHiero's syntax .

Instalación

  • Descarga y extrae los archivos en un directorio denominado «wikihiero» dentro de la carpeta extensions/.
  • Añade el siguiente código en la parte final de tu LocalSettings.php :
    wfLoadExtension( 'wikihiero' );
    
  • Yes Hecho – Navega a Special:Version en el wiki para verificar que la extensión se haya instalado correctamente.

Para quienes usan MediaWiki 1.26 o versiones anteriores:

Estas instrucciones describen la nueva forma de instalar extensiones usando wfLoadExtension(). Si necesitas instalar esta extensión en versiones anteriores (MediaWiki 1.26 y anteriores), debes usar lo siguiente en lugar de wfLoadExtension( 'wikihiero' );:

require_once "$IP/extensions/wikihiero/wikihiero.php";

Pruebas

Prueba con wikitexto de ejemplo.

El código siguiente:

<hiero>A1</hiero>

debería producir lo siguiente:

A1

Licencia

Véase también